# Uses of Enum Class
net.shibboleth.shared.security.IdentifierGenerationStrategy.ProviderType

Packages that use IdentifierGenerationStrategy.ProviderType
Package
Description
net.shibboleth.shared.security
Helpers for common security related tasks.

## Uses of IdentifierGenerationStrategy.ProviderType in net.shibboleth.shared.security

Methods in net.shibboleth.shared.security that return IdentifierGenerationStrategy.ProviderType
Modifier and Type
Method
Description
`static IdentifierGenerationStrategy.ProviderType`
IdentifierGenerationStrategy.ProviderType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IdentifierGenerationStrategy.ProviderType[]`
IdentifierGenerationStrategy.ProviderType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.shared.security with parameters of type IdentifierGenerationStrategy.ProviderType
Modifier and Type
Method
Description
`static IdentifierGenerationStrategy`
IdentifierGenerationStrategy.`getInstance(IdentifierGenerationStrategy.ProviderType type)`
Get an instance of a particular provider of identifiers with no parameters.
`static IdentifierGenerationStrategy`
IdentifierGenerationStrategy.`getInstance(IdentifierGenerationStrategy.ProviderType type, IdentifierGenerationStrategy.ParameterSpec params)`
Get an instance of a particular provider of identifiers with parameters.